## ros-iron-marti-nav-msgs 1.4.1

=== debian/changelog ===
ros-iron-marti-nav-msgs (1.4.1-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 03 May 2023 05:00:00 -0000

ros-iron-marti-nav-msgs (1.2.0-1jammy) jammy; urgency=high

  * Add path message (#109 <https://github.com/swri-robotics/marti_messages/issues/109>) (#111 <https://github.com/swri-robotics/marti_messages/issues/111>)
  * Contributors: Matthew Bries, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-iron-marti-nav-msgs (1.1.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-iron-marti-nav-msgs (1.0.0-1jammy) jammy; urgency=high

  * Convert to ROS2 Dashing
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-iron-marti-nav-msgs (0.8.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-iron-marti-nav-msgs (0.7.0-1jammy) jammy; urgency=high

  * Add RouteArray.msg file
  * Contributors: Daniel-Stanek, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-iron-marti-nav-msgs (0.6.0-1jammy) jammy; urgency=high

  * Include route id with route position for disambiguation.
  * Contributors: Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-iron-marti-nav-msgs (0.5.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-iron-marti-nav-msgs (0.4.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-iron-marti-nav-msgs (0.3.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-iron-marti-nav-msgs (0.2.0-1jammy) jammy; urgency=high

  * AddRouteOffset Message (#86 <https://github.com/swri-robotics/marti_messages/issues/86>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-iron-marti-nav-msgs (0.1.0-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-iron-marti-nav-msgs (0.0.9-1jammy) jammy; urgency=high

  * Add Wgs84Sample message type. (#82 <https://github.com/swri-robotics/marti_messages/issues/82>)
    Wgs84Sample is a new message type that contains a sensor measurement in WGS-84 (e.g. GPS sample)
    and the corresponding sensor location in relative coordinates (e.g. antenna position).
  * Contributors: Elliot Johnson

 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-iron-marti-nav-msgs (0.0.8-1jammy) jammy; urgency=high

  * Add GridMap message.
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-iron-marti-nav-msgs (0.0.7-1jammy) jammy; urgency=high

  * Add service to delete routes
  * Add more detailed comments to TrackedObject.msg
  * Add messages for tracked objects.
  * Contributors: Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-iron-marti-nav-msgs (0.0.6-1jammy) jammy; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-iron-marti-nav-msgs (0.0.5-1jammy) jammy; urgency=high

  * Adds new services to save a route and to update a route's metadata:
    
      * SaveRoute
        
          * Takes a list of route points and saves it
          * If the route's GUID matches an existing route, it will be overwritten
        
      * UpdateRouteMetadata
        
          * Modifies an existing route
          * Replaces the properties on specified points with new properties
        
    
  * Adds Obstacle/ObstacleArray messages to marti_nav_msgs.
  * Contributors: Elliot Johnson, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-iron-marti-nav-msgs (0.0.4-1jammy) jammy; urgency=high

  * Build PlanRoute service.
  * Add marti_nav_msgs/RouteSpeedArray message.
  * Adding a service for planning routes
    Resolves #61 <https://github.com/swri-robotics/marti_messages/issues/61>
  * Adding a service to set the currently active route
  * Add services for getting routes.
  * Add service definition for saving a recorded route.
  * Contributors: Elliot Johnson, Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-iron-marti-nav-msgs (0.0.3-1jammy) jammy; urgency=high

  * Adds RouteSpeed message.
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-iron-marti-nav-msgs (0.0.2-1jammy) jammy; urgency=high

  * Adds Route, RoutePoint, and RoutePosition messages
    Route and RoutePoint are very general messages to define a sequence of
    achievable poses for a vehicle along with arbitrary metadata about the
    route and the point itself.
  * Contributors: Jerry Towler

 -- P. J. Reed <preed@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-iron-marti-nav-msgs (0.0.1-1jammy) jammy; urgency=high

  * Fixing catkin_lint problems that could prevent installation.
  * update cmake version to squash the CMP0003 warning
  * remove dependencies on build_tools
  * use format 2 package definition
  * build fixes for catkin
  * catkinize marti_messages
  * Create README.md
  * Contributors: Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000
